### Home Classes Methods

### In Files

- lib/tinymce/rails/engine.rb

### Parent

Rails::Engine

### Methods

- ::base
- ::default_base
- ::relative_url_root

### Included Modules

- TinyMCE::Rails::Helper

### Class/Module Index

Quicksearch

- TinyMCE
- TinyMCE::JsonManifest
- TinyMCE::NullManifest
- TinyMCE::Rails
- TinyMCE::Rails::AssetInstaller
- TinyMCE::Rails::AssetManifest
- TinyMCE::Rails::Configuration
- TinyMCE::Rails::Configuration::Function
- TinyMCE::Rails::ConfigurationFile
- TinyMCE::Rails::Engine
- TinyMCE::Rails::Helper
- TinyMCE::Rails::MultipleConfiguration
- TinyMCE::YamlManifest

No matching classes.

# TinyMCE::Rails::Engine

### Public Class Methods

base() click to toggle source

    # File lib/tinymce/rails/engine.rb, line 18
    def self.base
      config.tinymce.base || default_base
    end

default_base() click to toggle source

    # File lib/tinymce/rails/engine.rb, line 22
    def self.default_base
      File.join(relative_url_root || "", Rails.application.config.assets.prefix || "/", "tinymce")
    end

relative_url_root() click to toggle source

    # File lib/tinymce/rails/engine.rb, line 26
    def self.relative_url_root
      config = Rails.application.config

      if config.respond_to?(:relative_url_root)
        config.relative_url_root
      else
        # Fallback for Rails 3.1
        config.action_controller.relative_url_root
      end
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.